import { LRUCache } from 'lru-cache';
import { CacheClient, CacheManagerOptions } from '@type-cacheable/core';
export declare class LRUCacheAdapter<T extends {}> implements CacheClient {
    constructor(lruClient: LRUCache<string, T>);
    private lruClient;
    get(cacheKey: string): Promise<any>;
    set(cacheKey: string, value: any, ttl?: number): Promise<any>;
    getClientTTL(): number;
    del(keyOrKeys: string | string[]): Promise<any>;
    keys(pattern: string): Promise<string[]>;
    delHash(hashKeyOrKeys: string | string[]): Promise<any>;
}
export declare const useAdapter: <T extends {} = {}>(client: LRUCache<string, T>, asFallback?: boolean, options?: CacheManagerOptions) => LRUCacheAdapter<T>;
